Jupiter - Zadanie #1682
Dodawanie nowych publikaciji
2017-05-12 09:41 - Michat Komar

Status: Zamkniety Start date: 2017-05-12
Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%

Category: integracja Estimated time: 0.00 hour

Target version: 0.3

Developer: Michat Komar Tester: tukasz Waskiewicz
Description

Nalezy doda¢ funkcjonalno$¢ pozwalajacg na dodawanie nowych elementéw struktury - od czasopisma po artykut.

Kluczowg kwestig jest zapewnienie bezpieczenstwa.

Trzeba takze skorzystaé z szablonéw numeraciji.

W przypadku, gdy system nie przechowuje wersji CurrentDocument (workflow BASIC) nalezy po zapisie przekierowac do strony, ktéra
wyswietli komunikat o tym ,ze element jest przetwarzany i bedzie dostepny w przeciggu minuty.

Related issues:
Related to Jupiter - Zadanie # 1674: Implementacja logiki ustalajgcej, co moz... Zamkniety 2017-05-10

Associated revisions

Revision eacc5d85 - 2017-05-12 09:41 - Michat Komar

refs #1682: Umozliwienie dodawania dokumentéw

Logika zapewniajgca autoryzacje podczas dodawania + samo dodawanie, w
tym podpiecie pod state machine

Revision a55a604c - 2017-05-12 11:54 - Michat Komar

refs #1682: Przechodzenie do elementu po zapisaniu

Revision 14016fa9 - 2017-05-12 12:38 - Michat Komar

refs #1682: Poprawienie cache na transakcji

Revision df3a7452 - 2017-05-12 14:34 - Michat Komar

refs #1682: Dodawanie journali + poprawki dostepu.

Revision bec0Odeae - 2017-05-15 11:46 - Michat Komar

refs #1682: Poprawienie wyszukiwania. Dodanie ekranu z oczekiwaniem.

Revision 750188df - 2017-05-15 12:15 - Michat Komar

refs #1682: Poprawienie testow + drobiazgi
Revision 758569b5 - 2017-05-15 12:18 - Michat Komar

refs #1682: Poprawienie testéw

Revision 451a1719 - 2017-05-15 12:43 - Michat Komar

refs #1682: Poprawienie testéw. Usuniecie importéw configéw implicite.

Revision d7a9¢c038 - 2017-05-16 11:41 - Michat Komar

refs #1682: Poprawki przy dodawaniu elementéw + dodanie busy

Revision 35be358e - 2017-05-16 12:13 - Michat Komar

refs #1682: Dodanie getDocumentReference

Nie zawsze dokument z catym yelementem i zatacznikami jest potrzebny.

Czasami wystarczg metadane.

Revision c46¢cd294 - 2017-05-16 14:25 - Michat Komar

refs #1682: Poprawienie wys$wietlania menu dodawania

Revision 06f55bef - 2017-05-17 13:05 - Michat Komar

refs #1682: Nullowanie grupy podczas zmiany roli na super admin

Revision a7e3328f - 2017-05-18 13:01 - Michat Komar

refs #1682: Podpiecie hierarchii z bazy pod dostepne typy

Revision 2723ee49 - 2017-05-18 14:12 - Michat Komar

refs #1682: Zmiana podstrony = anulowanie subskrypcji timera

History

#1 - 2017-05-12 10:28 - Michat Komar

- Related to Zadanie #1674: Implementacja logiki ustalajgcej, co moze by¢ dodane pod elementem added

#2 - 2017-05-12 10:28 - Michat Komar
- Status changed from Nowy to W toku

#3 - 2017-05-15 10:45 - Michat Komar
- Description updated
#4 - 2017-05-15 12:57 - Michat Komar

- Status changed from W toku to Testowanie

- Assignee changed from Michat Komar to tukasz Waskiewicz
- % Done changed from 0 to 100

Zrobione.
Trzeba przetestowaé przede wszystkim dodawanie czasopism. Pozostate dokumenty powinny zachowywa¢ sie podobnie jak czasopisma. Trzeba

sprawdzi¢, czy np. dodanie elementu do nowego czasopisma nie spowoduje 403 po stronie serwera z powodu nieprawidtowej konfiguracji uprawnien.

#5 - 2017-05-16 10:01 - Lukasz Waskiewicz
- Status changed from Testowanie to Odpowiedz
- Assignee changed from tukasz Waskiewicz to Michat Komar

po dodaniu czasopisma leci

Request URL:http://cocos-devel.vls.icm.edu.pl:9080/api/document/6c0d38c5-927e-4943-bc58-1659c5bdf7fa
Request Method:GET

Status Code:403 Forbidden

i bardzo duzo search (ok 60)

#6 - 2017-05-16 12:14 - Michat Komar
- Status changed from Odpowied? to Testowanie
- Assignee changed from Michat Komar to tukasz Waskiewicz

Poprawione.

Podpiecie komponentu pod editor, a nie document-details - nie jest wotany getDocument
Odputywanie o dokument co 1s zamiast 100ms.

Dodanie przestonki.

#7 - 2017-05-18 12:32 - Lukasz Waskiewicz
- Status changed from Testowanie to Odpowiedz

- Assignee changed from tukasz Waskiewicz to Michat Komar

dodawanie OK, ale po dodanie gdy pojawi si¢ komunikat

Po przetworzeniu dokumentu przez system, zostanie on automatycznie zatadowany. Prosze czekac.

i zaczniemy co$ robi¢, to po dodaniu zasobu zostaniemy na niego przekierowani

#8 - 2017-05-18 14:13 - Michat Komar
- Status changed from Odpowiedz to Testowanie
- Assignee changed from Michat Komar to tukasz Waskiewicz

Poprawione. Anulowanie subskrypcji eventu werfyikujacego istnienie dokumentu, gdy uzytkownik wykonat nawigacje.
#9 - 2017-05-24 09:17 - Lukasz Waskiewicz
- Status changed from Testowanie to Rozwigzany
- Assignee changed from tukasz Waskiewicz to Michat Komar

OK

#10 - 2017-06-06 11:56 - Michat Komar
- Status changed from Rozwigzany to Zamkniety

2024-05-19

4/4



